osl::hash::HashKey128Layout Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Attributes | List of all members
osl::hash::HashKey128Layout Struct Reference

`#include <boardKey128.h>`

Inheritance diagram for osl::hash::HashKey128Layout:
[legend]
Collaboration diagram for osl::hash::HashKey128Layout:
[legend]

## Public Attributes
uint64_t | board64
uint32_t | board32
uint32_t | piece_stand

## Detailed Description

Definition at line 27 of file boardKey128.h.

## Member Data Documentation

uint32_t osl::hash::HashKey128Layout::board32

Definition at line 30 of file boardKey128.h.

Referenced by osl::hash::HashKey128::boardKey(), osl::hash::HashKey128::HashKey128(), osl::hash::HashKey128::operator+=(), osl::hash::HashKey128::operator-=(), osl::hash::HashKey128::operator[](), osl::hash::HashKey128::setRandom(), and osl::hash::HashKey128::signature().

uint64_t osl::hash::HashKey128Layout::board64

Definition at line 29 of file boardKey128.h.

Referenced by osl::hash::HashKey128::add(), osl::hash::HashKey128::boardKey(), osl::hash::HashKey128::boardKey64(), osl::hash::HashKey128::changeTurn(), osl::hash::HashKey128::hash64(), osl::hash::HashKey128::HashKey128(), osl::hash::HashKey128::operator+=(), osl::hash::HashKey128::operator-=(), osl::hash::HashKey128::operator[](), osl::hash::HashKey128::playerBit(), osl::hash::HashKey128::setPlayer(), and osl::hash::HashKey128::setRandom().

uint32_t osl::hash::HashKey128Layout::piece_stand

Definition at line 30 of file boardKey128.h.

Referenced by osl::hash::HashKey128::blackStand(), osl::hash::HashKey128::HashKey128(), osl::hash::HashKey128::operator+=(), osl::hash::HashKey128::operator-=(), osl::hash::HashKey128::pieceStand(), and osl::hash::HashKey128::setPieceStand().

The documentation for this struct was generated from the following file:

- boardKey128.h